// TREE_NAME=SimpleSpruce;
//ROOT
#declare ROOTS=0;
#declare ROOT_RANDOM=0;
#declare FIRST_ROOT_AT_TRUNK=0;
#declare ROOT_LENGTH=100;
#declare ROOT_THICKNESS_CHANGE=0.6;
#declare ROOT_STRENGTH=1;
#declare ROOT_BEND=50;
#declare ROOT_BEND_FREQUENCY=1;
#declare ROOT_CURVE=30;
#declare ROOT_CURVE_FREQUENCY=5;
#declare ROOT_SNAG=5;
#declare ROOT_SNAG_FREQUENCY=15;
#declare ROOT_ANGLE=30;
#declare ROOT_ALIGNMENT=0.6;
#declare ROOT_TURN_SWITCH=1.0;
//TRUNK
#declare TRUNK_RADIUS=20;
#declare TRUNK_STRENGTH=1;
#declare TRUNK_BEND_X=0;
#declare TRUNK_BEND_X_FREQUENCY=0;
#declare TRUNK_BEND_Z=0;
#declare TRUNK_BEND_Z_FREQUENCY=0;
#declare TRUNK_CURVE=5.26316;
#declare TRUNK_CURVE_FREQUENCY=5.26316;
#declare TRUNK_SNAG=7.89474;
#declare TRUNK_SNAG_FREQUENCY=3.50877;
#declare TRUNK_SPIRAL=0;
#declare TRUNK_TAPER=0.75;
//BRANCH
#declare BRANCHES=108;
#declare BRANCH_RANDOM=0.4013;
#declare FIRST_BRANCH_AT_TRUNK=336.84213;
#declare BRANCH_AREA_AT_TRUNK=1600.0;
#declare BRANCH_THICKNESS_CHANGE=0.3;
#declare BRANCH_STRENGTH=1;
#declare BRANCH_BEND=-87.7193;
#declare BRANCH_BEND_FREQUENCY=0.70175;
#declare HORIZONTAL_BRANCH_BEND_SWITCH=0.0;
#declare EXTRA_NOISE_SWITCH=0.0;
#declare BRANCH_CURVE=1.75439;
#declare BRANCH_CURVE_FREQUENCY=0;
#declare HORIZONTAL_BRANCH_CURVE_SWITCH=1.0;
#declare BRANCH_LONGITUDINAL_CURVE=1.0;
#declare BRANCH_SNAG=0.0;
#declare BRANCH_SNAG_FREQUENCY=0.0;
#declare BRANCH_REDUCTION=0.2807;
#declare BRANCH_TAPER=1;
#declare BRANCH_END_EQUALIZER=0;
#declare BRANCH_TIP=1;
#declare BRANCH_TURN_SWITCH=0.0;
#declare BRANCH_ALTERNATE_SWITCH=0.0;
#declare BRANCH_SPIRAL=0;
#declare BRANCH_ANGLE=-15;
#declare BRANCH_ANGLE_SCOPE=0.16667;
#declare BRANCH_ALIGNMENT=1;
#declare STRAIGHTEN_TOWARDS_TOP=0.7;
//TWIG
#declare TWIGS=21*BRANCHES;
#declare TWIG_RANDOM=0.5553;
#declare FIRST_TWIG_AT_BRANCH=66.66667;
#declare TWIG_AREA_AT_BRANCH=326.3158;
#declare TWIG_THICKNESS_CHANGE=0.05263;
#declare TWIG_STRENGTH=0.0;
#declare HORIZONTAL_TWIG_ANGLE=0;
#declare HORIZONTAL_TWIG_ANGLE_SCOPE=10;
#declare HORIZONTAL_TWIG_ALIGNMENT=0.9;
#declare VERTICAL_TWIG_ANGLE=30;
#declare VERTICAL_TWIG_ANGLE_SCOPE=10;
#declare VERTICAL_TWIG_ALIGNMENT=1.5;
#declare TWIG_TURN_SWITCH=0;
#declare TWIG_ALTERNATE_SWITCH=0.0;
#declare TWIG_CURVE_ADJUSTMENT=0;
#declare TWIG_CURVE_FREQUENCY_ADJUSTMENT=0;
#declare TWIG_TAPER=1.0;
#declare TWIG_TIP=0;
#declare STRAIGHTEN_TOWARDS_BRANCH_END=0;
#declare TWIG_RAMIFICATION_ORDER=3;
#declare LAST_RAMIFICATION_NUMBER=2;
#declare TWIG_RAMIFICATION_THICKNESS_CHANGE=1;
#declare TWIG_RAMIFICATION_CURVE_ADJUSTMENT=0.45614;
#declare RAMI_CURVE_FREQUENCY_ADJUSTMENT=0.80702;
#declare TWIG_RAMIFICATION_STRENGTH=0.17544;
//BUNCH
#declare BUNCHES=2*TWIGS;
#declare FIRST_BUNCH_AT_TWIG=10.52632;
#declare BUNCH_AREA_AT_TWIG=42.10526;
#declare BUNCH_MAJOR_RADIUS=0;
#declare BUNCH_MINOR_RADIUS=0;
#declare HORIZONTAL_BUNCH_FUNNEL=14.03509;
#declare VERTICAL_BUNCH_FUNNEL=14.91228;
#declare ROTATION_BUNCH_FUNNEL=0.0;
#declare HORIZONTAL_BUNCH_ANGLE=80;
#declare VERTICAL_BUNCH_ANGLE=0;
#declare HORIZONTAL_BUNCH_ANGLE_SCOPE=5;
#declare VERTICAL_BUNCH_ANGLE_SCOPE=10;
#declare BUNCH_TURN_SWITCH=0.5;
#declare BUNCH_TURN_SHIFT=1.0;
#declare BUNCH_ALTERNATE_SWITCH=1.0;
#declare HORIZONTAL_BUNCH_ALIGNMENT=1;
#declare VERTICAL_BUNCH_ALIGNMENT=0.5;
#declare BUNCH_TAPER_OFF_AT_TWIG=0;
#declare BUNCH_TAPER_OFF_AT_BRANCH=-1;
#declare BUNCH_TAPER_OFF_AT_TREE=0;
#declare BUNCH_ARC_AT_TWIG=<0, 0, 0>;
#declare BUNCH_ARC_AT_BRANCH=<0.25, 0, 0>;
#declare BUNCH_DEFORM=<1, 1, 1>;
//BARK
#declare SUNKEN_TRUNK_COLOR=<0.36078, 0.18039, 0>;
#declare RAISED_TRUNK_COLOR=<0.45882, 0.27843, 0>;
#declare FOLIAGE_COLOR_AT_BRANCH_END=1;
#declare TRUNK_SCAR_WIDTH=6;
#declare TRUNK_SCAR_HEIGHT=30;
#declare HORIZONTAL_SCAR_SHRINKING=1;
#declare VERTICAL_SCAR_SHRINKING=1;
#declare SCAR_DEPTH=1;
#declare BARK_PROFILE=1;
#declare BRANCH_BARK_PROFILE_CHANGE=1;
#declare BRANCH_BARK_PROFILE_TAPER_OFF=1;
#declare ROOT_BARK_PROFILE_CHANGE=0.7;
#declare PALM_TRUNK=0;
//FOLIAGE
#include "TOMLEAF.inc"
#declare Mesh1 = mesh {
	triangle{<0.0, 0.0, -0.5>, <1.0, 0.0, 0.0>, <0.0, 0.0, 0.5>}
};
#declare LEAF_TYPE=Mesh1;
#declare LEAVES=4*BUNCHES;
#declare LEAF_LENGTH=90.0;
#declare LEAF_BREADTH=9.64912;
#declare LEAF_HEIGHT=1.22807;
#declare MAX_LEAF_TILT=10;
#declare MAX_LEAF_TURN=10;
#declare LEAF_INCLINATION=35;
#declare LEAF_INCLINATION_SCOPE=5;
#declare BOTTOM_COLOR_1=<0.08537, 0.26829, 0.16463, 0.0, 0.0>;
#declare BOTTOM_COLOR_2=<0.10366, 0.2439, 0, 0.0, 0.0>;
#declare TOP_COLOR_1=<0.07317, 0.52439, 0.12805, 0.0, 0.0>;
#declare TOP_COLOR_2=<0.03659, 0.44512, 0.12195, 0.0, 0.0>;
#declare COLOR_TURB=0.5;
#declare TRANSITION_BOTTOM_TOP=0.5;
#declare TRANSITION_TURB=0.25;
#declare FOLIAGE_GLOSS=0.25;
#declare FOLIAGE_FILTER=0.0;
#declare FOLIAGE_TRANSPARENCY=0.0;
//BLOSSOM
#declare BLOSSOM="NONE";
#declare BLOSSOMS=0*BUNCHES;
#declare BLOSSOM_LENGTH=50;
#declare BLOSSOM_WIDTH=100;
#declare BLOSSOM_INCLINATION=0;
#declare BLOSSOM_COLOR=<1, 1, 1>;
