// Tall bush with small leaves
// Tree maker include file for use with TomTree.inc macro file
// Settings by Glenn McCarter 12-Sep-04


//XXXXXXXXXXXXXXXXXXXXX S E T T I N G S XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
//TREE
#declare BRANCHES=9;
#declare TWIGS=10*BRANCHES;
//#declare TWIGS=0;
#declare BUNCHES=3*TWIGS;
//#declare BUNCHES=0;
//#declare LEAVES=200*BUNCHES;
//#declare LEAVES=8*BUNCHES;
#declare LEAVES=0;
//#declare BLOSSOMS=3*BUNCHES;
#declare BLOSSOMS=0;
#declare ROOTS=4;
//#declare ROOTS=0;
#declare BRANCH_RANDOM=0.1289; 
#declare TWIG_RANDOM=22.44;
#declare ROOT_RANDOM=83.12;
//TRUNK
#declare TRUNK_RADIUS=4.0; // inches
#declare TRUNK_STRENGTH=1.4; // 1.0 is normal
#declare TRUNK_BEND_X=5;
#declare TRUNK_BEND_Z=1;
#declare TRUNK_BEND_X_FREQUENCY=1.5;
#declare TRUNK_BEND_Z_FREQUENCY=1.5;
#declare TRUNK_CURVE=.6; // inches
#declare TRUNK_CURVE_FREQUENCY=1.0;
#declare TRUNK_SNAG=.51; // inches
#declare TRUNK_SNAG_FREQUENCY=2;
#declare TRUNK_SPIRAL=40; // degrees
#declare TRUNK_TAPER=0.25; // 0= no reduction, 1=pointed
#declare FIRST_BRANCH_AT_TRUNK=5; // inches?
#declare BRANCH_AREA_AT_TRUNK=10; // inches?
//BRANCH
#declare BRANCH_THICKNESS_CHANGE=.7; // percent
#declare BRANCH_STRENGTH=1.0; // 1 is normal, 0 is invisible
#declare BRANCH_BEND=15;
#declare BRANCH_BEND_FREQUENCY=1.2;
#declare HORIZONTAL_BRANCH_BEND_SWITCH=1;
#declare EXTRA_NOISE_SWITCH=1; // 1 default, 0 gives straight arcs
#declare BRANCH_CURVE=1;
#declare BRANCH_CURVE_FREQUENCY=2;
#declare HORIZONTAL_BRANCH_CURVE_SWITCH=1;
#declare BRANCH_LONGITUDINAL_CURVE=.5;
#declare BRANCH_SNAG=1.3;
#declare BRANCH_SNAG_FREQUENCY=5;
#declare BRANCH_REDUCTION=.1;
#declare BRANCH_TAPER=.2; // 0=no taper, 1=pointed
#declare BRANCH_END_EQUALIZER=1;
#declare BRANCH_TIP=0; // 0=branch ends at last twig
#declare BRANCH_TURN_SWITCH=1; // random rotation
#declare BRANCH_ALTERNATE_SWITCH=1;
#declare BRANCH_SPIRAL=0; // corkscrew degrees
#declare BRANCH_ANGLE=120; // upward inclination 0=down, 90-horiz, 180=up
#declare BRANCH_ANGLE_SCOPE=5;
#declare BRANCH_ALIGNMENT=.35; // 0=maintain initial angle, 1=match trunk at top
#declare STRAIGHTEN_TOWARDS_TOP=0.16; // eliminates bends
#declare FIRST_TWIG_AT_BRANCH=1.2; // inches
#declare TWIG_AREA_AT_BRANCH=18; // inches
//TWIG
#declare TWIG_STRENGTH=1.0;
#declare TWIG_THICKNESS_CHANGE=.55;
#declare HORIZONTAL_TWIG_ANGLE=50;
#declare VERTICAL_TWIG_ANGLE=30;
#declare HORIZONTAL_TWIG_ANGLE_SCOPE=0;
#declare VERTICAL_TWIG_ANGLE_SCOPE=0;
#declare HORIZONTAL_TWIG_ALIGNMENT=1;
#declare VERTICAL_TWIG_ALIGNMENT=1;
#declare TWIG_TURN_SWITCH=1;
#declare TWIG_ALTERNATE_SWITCH=0;
#declare TWIG_CURVE_ADJUSTMENT=.38;
#declare TWIG_CURVE_FREQUENCY_ADJUSTMENT=1;
#declare TWIG_TAPER=1;
#declare TWIG_TIP=0.3; // 0=twig ends at last bunch
#declare STRAIGHTEN_TOWARDS_BRANCH_END=0.6; // percent
#declare TWIG_RAMIFICATION_ORDER=3; // recursion level, 3 max
#declare LAST_RAMIFICATION_NUMBER=3;
#declare TWIG_RAMIFICATION_THICKNESS_CHANGE=1;
#declare TWIG_RAMIFICATION_CURVE_ADJUSTMENT=1;
#declare RAMI_CURVE_FREQUENCY_ADJUSTMENT=1;
#declare TWIG_RAMIFICATION_STRENGTH=1.0;
#declare FIRST_BUNCH_AT_TWIG=0.5; // inches
#declare BUNCH_AREA_AT_TWIG=4; // inches
//BUNCH
#declare BUNCH_MAJOR_RADIUS=4; // inches to first leaf
#declare BUNCH_MINOR_RADIUS=12; // inches of leaves
#declare HORIZONTAL_BUNCH_FUNNEL=50;
#declare VERTICAL_BUNCH_FUNNEL=50;
#declare ROTATION_BUNCH_FUNNEL=0;
#declare HORIZONTAL_BUNCH_ANGLE=0;
#declare VERTICAL_BUNCH_ANGLE=30;
#declare HORIZONTAL_BUNCH_ANGLE_SCOPE=5;
#declare VERTICAL_BUNCH_ANGLE_SCOPE=5;
#declare BUNCH_TURN_SWITCH=1;
#declare BUNCH_TURN_SHIFT=1; // 1= keep leaf topsides up
#declare BUNCH_ALTERNATE_SWITCH=0;
#declare HORIZONTAL_BUNCH_ALIGNMENT=1;
#declare VERTICAL_BUNCH_ALIGNMENT=1;
#declare BUNCH_TAPER_OFF_AT_TWIG=.3;
#declare BUNCH_TAPER_OFF_AT_BRANCH=-.3;
#declare BUNCH_TAPER_OFF_AT_TREE=0;
#declare BUNCH_ARC_AT_TWIG=<0,0,0>; 
#declare BUNCH_ARC_AT_BRANCH=<0,0,0>;
#declare BUNCH_DEFORM=<1,1,1>;
//LEAF 
#include "TOMLEAF.inc"
//#declare LEAF_TYPE=HF_SIMPLELEAF // doesn't exist anymore?
#declare LEAF_TYPE=LEAF
#declare LEAF_LENGTH=6.5; // inches
#declare LEAF_BREADTH=3.8; // inches
#declare LEAF_HEIGHT=0.14; // inches sphere squashing
#declare MAX_LEAF_TILT=80;
#declare MAX_LEAF_TURN=80;
#declare LEAF_INCLINATION=50;
#declare LEAF_INCLINATION_SCOPE=10;
//BLOSSOM
//#declare BLOSSOM=LEAF
#declare BLOSSOM=BLOSSOM1
#declare BLOSSOM_LENGTH=4.5; // inches
#declare BLOSSOM_WIDTH=4.5; // inches
#declare BLOSSOM_INCLINATION=0;
#declare BLOSSOM_COLOR=<1,1,1>*4;
//ROOT
#declare FIRST_ROOT_AT_TRUNK=6; // inches
#declare ROOT_LENGTH=15; // inches
#declare ROOT_THICKNESS_CHANGE=.6; // percent
#declare ROOT_STRENGTH=1;
#declare ROOT_BEND=50;
#declare ROOT_BEND_FREQUENCY=1;
#declare ROOT_CURVE=30;
#declare ROOT_CURVE_FREQUENCY=5;
#declare ROOT_SNAG=5;
#declare ROOT_SNAG_FREQUENCY=15;
#declare ROOT_TURN_SWITCH=1;
#declare ROOT_ANGLE=30;
#declare ROOT_ALIGNMENT=.6;
//BARK
#declare SUNKEN_TRUNK_COLOR=<0.271,0.235,0.224>;
#declare RAISED_TRUNK_COLOR=<0.427,0.333,0.298>;
#declare FOLIAGE_COLOR_AT_BRANCH_END=1;
#declare TRUNK_SCAR_WIDTH=1; // inches
#declare TRUNK_SCAR_HEIGHT=1; // inches
#declare HORIZONTAL_SCAR_SHRINKING=.5; // percent to perimeter of tree
#declare VERTICAL_SCAR_SHRINKING=1; // percent to perimeter of tree
//#declare SCAR_DEPTH=-1; 
#declare SCAR_DEPTH=1; 
//#declare PALM_TRUNK=0.2;
#declare PALM_TRUNK=0;
#declare BARK_PROFILE=0.34;
#declare BRANCH_BARK_PROFILE_CHANGE=0;
#declare BRANCH_BARK_PROFILE_TAPER_OFF=1;
#declare ROOT_BARK_PROFILE_CHANGE=0;
//FOLIAGECOLOR
#declare BOTTOM_COLOR_1=<0.031,0.420,0.020>;
#declare BOTTOM_COLOR_2=<0.039,0.537,0.027>;
#declare TOP_COLOR_1=<0.345,0.580,0.286>;
#declare TOP_COLOR_2=<0.490,0.647,0.239>;
#declare COLOR_TURB=.5;
#declare TRANSITION_BOTTOM_TOP=0.4; // height of color trans, %
#declare TRANSITION_TURB=.5;
#declare FOLIAGE_GLOSS=0.3; // phong
//XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
