
// POV-Ray Object File - Vegetation Declarations
// created 21-Sep-04
// last update 23-Jan-05
//
// Copyright 2005 Glenn McCarter (glenn@mccarters.net). Some rights reserved.
// This work is licensed under the Creative Commons Attribution License. 
// To view a copy of this license, visit http://creativecommons.org/licenses/by/2.0/ 
//
// This file does not render.  #include "VegetationDeclarations.inc" in another .pov file
// Required #include files: "GIncludeRH.inc", "shapes.inc"
//
// This file creates the image maps for the vegetation.
// Objects:
// TreeGBushPS // 10-11 big fire-bush
// BushFatPS // 10-12 fat bushy
// BushFWPS // 10-14 flowering
// BushMedPS // 10-17 medium
// BushWidePS // 10-13 wider than tall
// FatTreePS // 10-17 dense apple tree
// SpruceTreePS // 10-32 spruces
// TallTreePS // 10-27 tall trees
//
//
// Intended scale is English system (inches)
// Uses RH coordinate reference system (Z=up)
// Tree origin is at ground level,
// at the center of the trunk

#declare TreeGBush10= box{0,1 texture{pigment {image_map {png "TreeGBush10.png" once}}finish { ambient 1 diffuse 0.6 }} scale <18*Feet*7/8,18*Feet,1>rotate x*90 translate <-3*Feet,0,0*Feet>}
#declare TreeGBush11= box{0,1 texture{pigment {image_map {png "TreeGBush11.png" once}}finish { ambient 1 diffuse 0.6 }} scale <18*Feet*7/8,18*Feet,1>rotate x*90 translate <-3*Feet,0,0*Feet>}
#declare BushFat10=   box{0,1 texture{pigment {image_map {png "BushFat10.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-10.5*Feet,0,0*Feet>}
#declare BushFat11=   box{0,1 texture{pigment {image_map {png "BushFat11.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-10.5*Feet,0,0*Feet>}
#declare BushFat12=   box{0,1 texture{pigment {image_map {png "BushFat12.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-10.5*Feet,0,0*Feet>}
#declare BushFW10=    box{0,1 texture{pigment {image_map {png "BushFW10.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-6*Feet,0,0*Feet>}
#declare BushFW11=    box{0,1 texture{pigment {image_map {png "BushFW11.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-6*Feet,0,0*Feet>}
#declare BushFW12=    box{0,1 texture{pigment {image_map {png "BushFW12.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-6*Feet,0,0*Feet>}
#declare BushFW13=    box{0,1 texture{pigment {image_map {png "BushFW13.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-6*Feet,0,0*Feet>}
#declare BushFW14=    box{0,1 texture{pigment {image_map {png "BushFW14.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-6*Feet,0,0*Feet>}
#declare BushMed10=   box{0,1 texture{pigment {image_map {png "BushMed10.png" once}}finish { ambient 1 diffuse 0.6 }} scale <10*Feet*7/8,10*Feet,1>rotate x*90 translate <-5*Feet,0,0*Feet>}
#declare BushMed11=   box{0,1 texture{pigment {image_map {png "BushMed11.png" once}}finish { ambient 1 diffuse 0.6 }} scale <10*Feet*7/8,10*Feet,1>rotate x*90 translate <-5*Feet,0,0*Feet>}
#declare BushMed12=   box{0,1 texture{pigment {image_map {png "BushMed12.png" once}}finish { ambient 1 diffuse 0.6 }} scale <10*Feet*7/8,10*Feet,1>rotate x*90 translate <-5*Feet,0,0*Feet>}
#declare BushMed13=   box{0,1 texture{pigment {image_map {png "BushMed13.png" once}}finish { ambient 1 diffuse 0.6 }} scale <10*Feet*7/8,10*Feet,1>rotate x*90 translate <-5*Feet,0,0*Feet>}
#declare BushMed14=   box{0,1 texture{pigment {image_map {png "BushMed14.png" once}}finish { ambient 1 diffuse 0.6 }} scale <10*Feet*7/8,10*Feet,1>rotate x*90 translate <-5*Feet,0,0*Feet>}
#declare BushMed15=   box{0,1 texture{pigment {image_map {png "BushMed15.png" once}}finish { ambient 1 diffuse 0.6 }} scale <10*Feet*7/8,10*Feet,1>rotate x*90 translate <-5*Feet,0,0*Feet>}
#declare BushMed16=   box{0,1 texture{pigment {image_map {png "BushMed16.png" once}}finish { ambient 1 diffuse 0.6 }} scale <10*Feet*7/8,10*Feet,1>rotate x*90 translate <-5*Feet,0,0*Feet>}
#declare BushMed17=   box{0,1 texture{pigment {image_map {png "BushMed17.png" once}}finish { ambient 1 diffuse 0.6 }} scale <10*Feet*7/8,10*Feet,1>rotate x*90 translate <-5*Feet,0,0*Feet>}
#declare BushWide10=  box{0,1 texture{pigment {image_map {png "BushWide10.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-8*Feet,0,0*Feet>}
#declare BushWide11=  box{0,1 texture{pigment {image_map {png "BushWide11.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-8*Feet,0,0*Feet>}
#declare BushWide12=  box{0,1 texture{pigment {image_map {png "BushWide12.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-8*Feet,0,0*Feet>}
#declare BushWide13=  box{0,1 texture{pigment {image_map {png "BushWide13.png" once}}finish { ambient 1 diffuse 0.6 }} scale <12*Feet*7/8,12*Feet,1>rotate x*90 translate <-8*Feet,0,0*Feet>}
#declare FatTree10=   box{0,1 texture{pigment {image_map {png "FatTree10.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-12*Feet,0,0*Feet>}
#declare FatTree11=   box{0,1 texture{pigment {image_map {png "FatTree11.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-12*Feet,0,0*Feet>}
#declare FatTree12=   box{0,1 texture{pigment {image_map {png "FatTree12.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-12*Feet,0,0*Feet>}
#declare FatTree13=   box{0,1 texture{pigment {image_map {png "FatTree13.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-12*Feet,0,0*Feet>}
#declare FatTree14=   box{0,1 texture{pigment {image_map {png "FatTree14.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-12*Feet,0,0*Feet>}
#declare FatTree15=   box{0,1 texture{pigment {image_map {png "FatTree15.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-12*Feet,0,0*Feet>}
#declare FatTree16=   box{0,1 texture{pigment {image_map {png "FatTree16.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-12*Feet,0,0*Feet>}
#declare FatTree17=   box{0,1 texture{pigment {image_map {png "FatTree17.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-12*Feet,0,0*Feet>}
#declare FatTree21=   box{0,1 texture{pigment {image_map {png "FatTree21.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-12*Feet,0,0*Feet>}
#declare SpruceTree10=box{0,1 texture{pigment {image_map {png "SpruceTree10.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree11=box{0,1 texture{pigment {image_map {png "SpruceTree11.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree12=box{0,1 texture{pigment {image_map {png "SpruceTree12.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree13=box{0,1 texture{pigment {image_map {png "SpruceTree13.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree14=box{0,1 texture{pigment {image_map {png "SpruceTree14.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree15=box{0,1 texture{pigment {image_map {png "SpruceTree15.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree16=box{0,1 texture{pigment {image_map {png "SpruceTree16.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree17=box{0,1 texture{pigment {image_map {png "SpruceTree17.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree18=box{0,1 texture{pigment {image_map {png "SpruceTree18.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree19=box{0,1 texture{pigment {image_map {png "SpruceTree19.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree20=box{0,1 texture{pigment {image_map {png "SpruceTree20.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree21=box{0,1 texture{pigment {image_map {png "SpruceTree21.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree22=box{0,1 texture{pigment {image_map {png "SpruceTree22.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree23=box{0,1 texture{pigment {image_map {png "SpruceTree23.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree24=box{0,1 texture{pigment {image_map {png "SpruceTree24.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree25=box{0,1 texture{pigment {image_map {png "SpruceTree25.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree26=box{0,1 texture{pigment {image_map {png "SpruceTree26.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree27=box{0,1 texture{pigment {image_map {png "SpruceTree27.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree28=box{0,1 texture{pigment {image_map {png "SpruceTree28.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree29=box{0,1 texture{pigment {image_map {png "SpruceTree29.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree30=box{0,1 texture{pigment {image_map {png "SpruceTree30.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree31=box{0,1 texture{pigment {image_map {png "SpruceTree31.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}
#declare SpruceTree32=box{0,1 texture{pigment {image_map {png "SpruceTree32.png" once}}finish { ambient 1 diffuse 0.6 }} scale <24*Feet*7/8,24*Feet,1>rotate x*90 translate <-24*0.4*Feet,0,0*Feet>}

#declare TallTree10=box{0,1 texture{pigment {image_map {png "TallTree10.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree11=box{0,1 texture{pigment {image_map {png "TallTree11.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree12=box{0,1 texture{pigment {image_map {png "TallTree12.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree13=box{0,1 texture{pigment {image_map {png "TallTree13.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree14=box{0,1 texture{pigment {image_map {png "TallTree14.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree15=box{0,1 texture{pigment {image_map {png "TallTree15.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree16=box{0,1 texture{pigment {image_map {png "TallTree16.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree17=box{0,1 texture{pigment {image_map {png "TallTree17.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree18=box{0,1 texture{pigment {image_map {png "TallTree18.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree19=box{0,1 texture{pigment {image_map {png "TallTree19.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree20=box{0,1 texture{pigment {image_map {png "TallTree20.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree21=box{0,1 texture{pigment {image_map {png "TallTree21.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree22=box{0,1 texture{pigment {image_map {png "TallTree22.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree23=box{0,1 texture{pigment {image_map {png "TallTree23.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree24=box{0,1 texture{pigment {image_map {png "TallTree24.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree25=box{0,1 texture{pigment {image_map {png "TallTree25.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree26=box{0,1 texture{pigment {image_map {png "TallTree26.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}
#declare TallTree27=box{0,1 texture{pigment {image_map {png "TallTree27.png" once}}finish { ambient 1 diffuse 0.6 }} scale <34*Feet*1/2,34*Feet,1>rotate x*90 translate <-34*0.25*Feet,0,-2*Feet>}


#declare TreeGBushPS10 =union { object { TreeGBush10 no_shadow } object { TreeGBush10 rotate z*40 no_reflection } }
#declare TreeGBushPS11 =union { object { TreeGBush11 no_shadow } object { TreeGBush11 rotate z*40 no_reflection } }
#declare BushFatPS10 =union { object { BushFat10 no_shadow } object { BushFat10 rotate z*40 no_reflection } }
#declare BushFatPS11 =union { object { BushFat11 no_shadow } object { BushFat11 rotate z*40 no_reflection } }
#declare BushFatPS12 =union { object { BushFat12 no_shadow } object { BushFat12 rotate z*40 no_reflection } }
#declare BushFWPS10 =union { object { BushFW10 no_shadow } object { BushFW10 rotate z*40 no_reflection } }
#declare BushFWPS11 =union { object { BushFW11 no_shadow } object { BushFW11 rotate z*40 no_reflection } }
#declare BushFWPS12 =union { object { BushFW12 no_shadow } object { BushFW12 rotate z*40 no_reflection } }
#declare BushFWPS13 =union { object { BushFW13 no_shadow } object { BushFW13 rotate z*40 no_reflection } }
#declare BushFWPS14 =union { object { BushFW14 no_shadow } object { BushFW14 rotate z*40 no_reflection } }
#declare BushMedPS10 =union { object { BushMed10 no_shadow } object { BushMed10 rotate z*40 no_reflection } }
#declare BushMedPS11 =union { object { BushMed11 no_shadow } object { BushMed11 rotate z*40 no_reflection } }
#declare BushMedPS12 =union { object { BushMed12 no_shadow } object { BushMed12 rotate z*40 no_reflection } }
#declare BushMedPS13 =union { object { BushMed13 no_shadow } object { BushMed13 rotate z*40 no_reflection } }
#declare BushMedPS14 =union { object { BushMed14 no_shadow } object { BushMed14 rotate z*40 no_reflection } }
#declare BushMedPS15 =union { object { BushMed15 no_shadow } object { BushMed15 rotate z*40 no_reflection } }
#declare BushMedPS16 =union { object { BushMed16 no_shadow } object { BushMed16 rotate z*40 no_reflection } }
#declare BushMedPS17 =union { object { BushMed17 no_shadow } object { BushMed17 rotate z*40 no_reflection } }
#declare BushWidePS10 =union { object { BushWide10 no_shadow } object { BushWide10 rotate z*40 no_reflection } }
#declare BushWidePS11 =union { object { BushWide11 no_shadow } object { BushWide11 rotate z*40 no_reflection } }
#declare BushWidePS12 =union { object { BushWide12 no_shadow } object { BushWide12 rotate z*40 no_reflection } }
#declare BushWidePS13 =union { object { BushWide13 no_shadow } object { BushWide13 rotate z*40 no_reflection } }
#declare FatTreePS10 =union { object { FatTree10 no_shadow } object { FatTree10 rotate z*40 no_reflection } }
#declare FatTreePS11 =union { object { FatTree11 no_shadow } object { FatTree11 rotate z*40 no_reflection } }
#declare FatTreePS12 =union { object { FatTree12 no_shadow } object { FatTree12 rotate z*40 no_reflection } }
#declare FatTreePS13 =union { object { FatTree13 no_shadow } object { FatTree13 rotate z*40 no_reflection } }
#declare FatTreePS14 =union { object { FatTree14 no_shadow } object { FatTree14 rotate z*40 no_reflection } }
#declare FatTreePS15 =union { object { FatTree15 no_shadow } object { FatTree15 rotate z*40 no_reflection } }
#declare FatTreePS16 =union { object { FatTree16 no_shadow } object { FatTree16 rotate z*40 no_reflection } }
#declare FatTreePS17 =union { object { FatTree17 no_shadow } object { FatTree17 rotate z*40 no_reflection } }
#declare FatTreePS21 =union { object { FatTree21 no_shadow } object { FatTree21 rotate z*40 no_reflection } }
#declare SpruceTreePS10 =union { object { SpruceTree10 no_shadow } object { SpruceTree10 rotate z*40 no_reflection } }
#declare SpruceTreePS11 =union { object { SpruceTree11 no_shadow } object { SpruceTree11 rotate z*40 no_reflection } }
#declare SpruceTreePS12 =union { object { SpruceTree12 no_shadow } object { SpruceTree12 rotate z*40 no_reflection } }
#declare SpruceTreePS13 =union { object { SpruceTree13 no_shadow } object { SpruceTree13 rotate z*40 no_reflection } }
#declare SpruceTreePS14 =union { object { SpruceTree14 no_shadow } object { SpruceTree14 rotate z*40 no_reflection } }
#declare SpruceTreePS15 =union { object { SpruceTree15 no_shadow } object { SpruceTree15 rotate z*40 no_reflection } }
#declare SpruceTreePS16 =union { object { SpruceTree16 no_shadow } object { SpruceTree16 rotate z*40 no_reflection } }
#declare SpruceTreePS17 =union { object { SpruceTree17 no_shadow } object { SpruceTree17 rotate z*40 no_reflection } }
#declare SpruceTreePS18 =union { object { SpruceTree18 no_shadow } object { SpruceTree18 rotate z*40 no_reflection } }
#declare SpruceTreePS19 =union { object { SpruceTree19 no_shadow } object { SpruceTree19 rotate z*40 no_reflection } }
#declare SpruceTreePS20 =union { object { SpruceTree20 no_shadow } object { SpruceTree20 rotate z*40 no_reflection } }
#declare SpruceTreePS21 =union { object { SpruceTree21 no_shadow } object { SpruceTree21 rotate z*40 no_reflection } }
#declare SpruceTreePS22 =union { object { SpruceTree22 no_shadow } object { SpruceTree22 rotate z*40 no_reflection } }
#declare SpruceTreePS23 =union { object { SpruceTree23 no_shadow } object { SpruceTree23 rotate z*40 no_reflection } }
#declare SpruceTreePS24 =union { object { SpruceTree24 no_shadow } object { SpruceTree24 rotate z*40 no_reflection } }
#declare SpruceTreePS25 =union { object { SpruceTree25 no_shadow } object { SpruceTree25 rotate z*40 no_reflection } }
#declare SpruceTreePS26 =union { object { SpruceTree26 no_shadow } object { SpruceTree26 rotate z*40 no_reflection } }
#declare SpruceTreePS27 =union { object { SpruceTree27 no_shadow } object { SpruceTree27 rotate z*40 no_reflection } }
#declare SpruceTreePS28 =union { object { SpruceTree28 no_shadow } object { SpruceTree28 rotate z*40 no_reflection } }
#declare SpruceTreePS29 =union { object { SpruceTree29 no_shadow } object { SpruceTree29 rotate z*40 no_reflection } }
#declare SpruceTreePS30 =union { object { SpruceTree30 no_shadow } object { SpruceTree30 rotate z*40 no_reflection } }
#declare SpruceTreePS31 =union { object { SpruceTree31 no_shadow } object { SpruceTree31 rotate z*40 no_reflection } }
#declare SpruceTreePS32 =union { object { SpruceTree32 no_shadow } object { SpruceTree32 rotate z*40 no_reflection } }
#declare TallTreePS10 =union { object { TallTree10 no_shadow } object { TallTree10 rotate z*40 no_reflection } }
#declare TallTreePS11 =union { object { TallTree11 no_shadow } object { TallTree11 rotate z*40 no_reflection } }
#declare TallTreePS12 =union { object { TallTree12 no_shadow } object { TallTree12 rotate z*40 no_reflection } }
#declare TallTreePS13 =union { object { TallTree13 no_shadow } object { TallTree13 rotate z*40 no_reflection } }
#declare TallTreePS14 =union { object { TallTree14 no_shadow } object { TallTree14 rotate z*40 no_reflection } }
#declare TallTreePS15 =union { object { TallTree15 no_shadow } object { TallTree15 rotate z*40 no_reflection } }
#declare TallTreePS16 =union { object { TallTree16 no_shadow } object { TallTree16 rotate z*40 no_reflection } }
#declare TallTreePS17 =union { object { TallTree17 no_shadow } object { TallTree17 rotate z*40 no_reflection } }
#declare TallTreePS18 =union { object { TallTree18 no_shadow } object { TallTree18 rotate z*40 no_reflection } }
#declare TallTreePS19 =union { object { TallTree19 no_shadow } object { TallTree19 rotate z*40 no_reflection } }
#declare TallTreePS20 =union { object { TallTree20 no_shadow } object { TallTree20 rotate z*40 no_reflection } }
#declare TallTreePS21 =union { object { TallTree21 no_shadow } object { TallTree21 rotate z*40 no_reflection } }
#declare TallTreePS22 =union { object { TallTree22 no_shadow } object { TallTree22 rotate z*40 no_reflection } }
#declare TallTreePS23 =union { object { TallTree23 no_shadow } object { TallTree23 rotate z*40 no_reflection } }
#declare TallTreePS24 =union { object { TallTree24 no_shadow } object { TallTree24 rotate z*40 no_reflection } }
#declare TallTreePS25 =union { object { TallTree25 no_shadow } object { TallTree25 rotate z*40 no_reflection } }
#declare TallTreePS26 =union { object { TallTree26 no_shadow } object { TallTree26 rotate z*40 no_reflection } }
#declare TallTreePS27 =union { object { TallTree27 no_shadow } object { TallTree27 rotate z*40 no_reflection } }
